运营管理/租户管理(Plus)/组织架构相关接口
POSTOrganization Operations起始版本 2.4.0同步需要认证
添加组织
添加组织
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
paramsObject必填请求体参数结构
nameString必填资源名称
descriptionString资源的详细描述
typeOrganizationType必填组织类型
parentUuidString可选。
attributesList可选。
quotaList配额
resourceUuidString可选。
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
POST/v1/iam2/organizations
/v1/iam2/organizations
请求示例
curl -X POST 'http://{host}/v1/iam2/organizations' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","type":"<type>","parentUuid":"<parentUuid>","attributes":["<attributes>"],"quota":["<quota>"],"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "d8880014345347e1ab945d8ef750fac7", "name": "org1", "state": "Enabled", "type": "Company", "srcType": "ZStack", "parentUuid": "1dffd2c40215412d8ab4b811ce6888f0", "rootOrganizationUuid": "a531128bc8724f0ba55a85c425f22c32", "attributes": [ { "uuid": "053353cf77d6493daef4de70c9ff8d24", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }变更历史
此 API 暂无变更历史记录。
